Subject: Re: [PATCH] mergetool: reorder vim/gvim buffers in three-way diffs

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Feb 2016 11:31:37 -0800

Dickson Wong <[email-masked]> writes:

> Thanks for looking into the patch.

No.  Thank _you_ for contributing ;-)

> Vim buffers are not reorderable and windows are always numbered from
> top-left to bottom-right. However, I can see someone who is familiar with
> the old behavior issue a "CTRL-W_K" command to move the merged window from
> the bottom to the top, making the merged window the first window and
> consistent with buffer indexes. If they use this command after the patch,
> the indexes would no longer be consistent. The command would most likely be
> issued manually and not through a vim startup script.

So it should suffice to mention it in the release notes as one
bullet item that describes one positive change, among all other
updates described in a simlar way.  And there is no special
"warnings for existing users" necessary, I would say.

Thanks.